Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network224.2.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
224.2.0.0
Broadcast address
224.2.31.255
First usable
224.2.0.1
Last usable
224.2.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E0020000 · Integer 3758227456 to 3758235647
Reverse DNS zones
0.2.224.in-addr.arpa
1.2.224.in-addr.arpa
2.2.224.in-addr.arpa
3.2.224.in-addr.arpa
4.2.224.in-addr.arpa
5.2.224.in-addr.arpa
6.2.224.in-addr.arpa
7.2.224.in-addr.arpa
8.2.224.in-addr.arpa
9.2.224.in-addr.arpa
10.2.224.in-addr.arpa
11.2.224.in-addr.arpa
12.2.224.in-addr.arpa
13.2.224.in-addr.arpa
14.2.224.in-addr.arpa
15.2.224.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100000.00000010.00000000.00000000224.2.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11100000.00000010.00000000.00000000224.2.0.0
Broadcast11100000.00000010.00011111.11111111224.2.31.255
Split into smaller subnets/26

224.2.0.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1224.2.0.0/26224.2.0.1 to 224.2.0.62224.2.0.6362
2224.2.0.64/26224.2.0.65 to 224.2.0.126224.2.0.12762
3224.2.0.128/26224.2.0.129 to 224.2.0.190224.2.0.19162
4224.2.0.192/26224.2.0.193 to 224.2.0.254224.2.0.25562
5224.2.1.0/26224.2.1.1 to 224.2.1.62224.2.1.6362
6224.2.1.64/26224.2.1.65 to 224.2.1.126224.2.1.12762
7224.2.1.128/26224.2.1.129 to 224.2.1.190224.2.1.19162
8224.2.1.192/26224.2.1.193 to 224.2.1.254224.2.1.25562
9224.2.2.0/26224.2.2.1 to 224.2.2.62224.2.2.6362
10224.2.2.64/26224.2.2.65 to 224.2.2.126224.2.2.12762
11224.2.2.128/26224.2.2.129 to 224.2.2.190224.2.2.19162
12224.2.2.192/26224.2.2.193 to 224.2.2.254224.2.2.25562
13224.2.3.0/26224.2.3.1 to 224.2.3.62224.2.3.6362
14224.2.3.64/26224.2.3.65 to 224.2.3.126224.2.3.12762
15224.2.3.128/26224.2.3.129 to 224.2.3.190224.2.3.19162
16224.2.3.192/26224.2.3.193 to 224.2.3.254224.2.3.25562
17224.2.4.0/26224.2.4.1 to 224.2.4.62224.2.4.6362
18224.2.4.64/26224.2.4.65 to 224.2.4.126224.2.4.12762
19224.2.4.128/26224.2.4.129 to 224.2.4.190224.2.4.19162
20224.2.4.192/26224.2.4.193 to 224.2.4.254224.2.4.25562
21224.2.5.0/26224.2.5.1 to 224.2.5.62224.2.5.6362
22224.2.5.64/26224.2.5.65 to 224.2.5.126224.2.5.12762
23224.2.5.128/26224.2.5.129 to 224.2.5.190224.2.5.19162
24224.2.5.192/26224.2.5.193 to 224.2.5.254224.2.5.25562
25224.2.6.0/26224.2.6.1 to 224.2.6.62224.2.6.6362
26224.2.6.64/26224.2.6.65 to 224.2.6.126224.2.6.12762
27224.2.6.128/26224.2.6.129 to 224.2.6.190224.2.6.19162
28224.2.6.192/26224.2.6.193 to 224.2.6.254224.2.6.25562
29224.2.7.0/26224.2.7.1 to 224.2.7.62224.2.7.6362
30224.2.7.64/26224.2.7.65 to 224.2.7.126224.2.7.12762
31224.2.7.128/26224.2.7.129 to 224.2.7.190224.2.7.19162
32224.2.7.192/26224.2.7.193 to 224.2.7.254224.2.7.25562
33224.2.8.0/26224.2.8.1 to 224.2.8.62224.2.8.6362
34224.2.8.64/26224.2.8.65 to 224.2.8.126224.2.8.12762
35224.2.8.128/26224.2.8.129 to 224.2.8.190224.2.8.19162
36224.2.8.192/26224.2.8.193 to 224.2.8.254224.2.8.25562
37224.2.9.0/26224.2.9.1 to 224.2.9.62224.2.9.6362
38224.2.9.64/26224.2.9.65 to 224.2.9.126224.2.9.12762
39224.2.9.128/26224.2.9.129 to 224.2.9.190224.2.9.19162
40224.2.9.192/26224.2.9.193 to 224.2.9.254224.2.9.25562
41224.2.10.0/26224.2.10.1 to 224.2.10.62224.2.10.6362
42224.2.10.64/26224.2.10.65 to 224.2.10.126224.2.10.12762
43224.2.10.128/26224.2.10.129 to 224.2.10.190224.2.10.19162
44224.2.10.192/26224.2.10.193 to 224.2.10.254224.2.10.25562
45224.2.11.0/26224.2.11.1 to 224.2.11.62224.2.11.6362
46224.2.11.64/26224.2.11.65 to 224.2.11.126224.2.11.12762
47224.2.11.128/26224.2.11.129 to 224.2.11.190224.2.11.19162
48224.2.11.192/26224.2.11.193 to 224.2.11.254224.2.11.25562
49224.2.12.0/26224.2.12.1 to 224.2.12.62224.2.12.6362
50224.2.12.64/26224.2.12.65 to 224.2.12.126224.2.12.12762
51224.2.12.128/26224.2.12.129 to 224.2.12.190224.2.12.19162
52224.2.12.192/26224.2.12.193 to 224.2.12.254224.2.12.25562
53224.2.13.0/26224.2.13.1 to 224.2.13.62224.2.13.6362
54224.2.13.64/26224.2.13.65 to 224.2.13.126224.2.13.12762
55224.2.13.128/26224.2.13.129 to 224.2.13.190224.2.13.19162
56224.2.13.192/26224.2.13.193 to 224.2.13.254224.2.13.25562
57224.2.14.0/26224.2.14.1 to 224.2.14.62224.2.14.6362
58224.2.14.64/26224.2.14.65 to 224.2.14.126224.2.14.12762
59224.2.14.128/26224.2.14.129 to 224.2.14.190224.2.14.19162
60224.2.14.192/26224.2.14.193 to 224.2.14.254224.2.14.25562
61224.2.15.0/26224.2.15.1 to 224.2.15.62224.2.15.6362
62224.2.15.64/26224.2.15.65 to 224.2.15.126224.2.15.12762
63224.2.15.128/26224.2.15.129 to 224.2.15.190224.2.15.19162
64224.2.15.192/26224.2.15.193 to 224.2.15.254224.2.15.25562
65224.2.16.0/26224.2.16.1 to 224.2.16.62224.2.16.6362
66224.2.16.64/26224.2.16.65 to 224.2.16.126224.2.16.12762
67224.2.16.128/26224.2.16.129 to 224.2.16.190224.2.16.19162
68224.2.16.192/26224.2.16.193 to 224.2.16.254224.2.16.25562
69224.2.17.0/26224.2.17.1 to 224.2.17.62224.2.17.6362
70224.2.17.64/26224.2.17.65 to 224.2.17.126224.2.17.12762
71224.2.17.128/26224.2.17.129 to 224.2.17.190224.2.17.19162
72224.2.17.192/26224.2.17.193 to 224.2.17.254224.2.17.25562
73224.2.18.0/26224.2.18.1 to 224.2.18.62224.2.18.6362
74224.2.18.64/26224.2.18.65 to 224.2.18.126224.2.18.12762
75224.2.18.128/26224.2.18.129 to 224.2.18.190224.2.18.19162
76224.2.18.192/26224.2.18.193 to 224.2.18.254224.2.18.25562
77224.2.19.0/26224.2.19.1 to 224.2.19.62224.2.19.6362
78224.2.19.64/26224.2.19.65 to 224.2.19.126224.2.19.12762
79224.2.19.128/26224.2.19.129 to 224.2.19.190224.2.19.19162
80224.2.19.192/26224.2.19.193 to 224.2.19.254224.2.19.25562
81224.2.20.0/26224.2.20.1 to 224.2.20.62224.2.20.6362
82224.2.20.64/26224.2.20.65 to 224.2.20.126224.2.20.12762
83224.2.20.128/26224.2.20.129 to 224.2.20.190224.2.20.19162
84224.2.20.192/26224.2.20.193 to 224.2.20.254224.2.20.25562
85224.2.21.0/26224.2.21.1 to 224.2.21.62224.2.21.6362
86224.2.21.64/26224.2.21.65 to 224.2.21.126224.2.21.12762
87224.2.21.128/26224.2.21.129 to 224.2.21.190224.2.21.19162
88224.2.21.192/26224.2.21.193 to 224.2.21.254224.2.21.25562
89224.2.22.0/26224.2.22.1 to 224.2.22.62224.2.22.6362
90224.2.22.64/26224.2.22.65 to 224.2.22.126224.2.22.12762
91224.2.22.128/26224.2.22.129 to 224.2.22.190224.2.22.19162
92224.2.22.192/26224.2.22.193 to 224.2.22.254224.2.22.25562
93224.2.23.0/26224.2.23.1 to 224.2.23.62224.2.23.6362
94224.2.23.64/26224.2.23.65 to 224.2.23.126224.2.23.12762
95224.2.23.128/26224.2.23.129 to 224.2.23.190224.2.23.19162
96224.2.23.192/26224.2.23.193 to 224.2.23.254224.2.23.25562
97224.2.24.0/26224.2.24.1 to 224.2.24.62224.2.24.6362
98224.2.24.64/26224.2.24.65 to 224.2.24.126224.2.24.12762
99224.2.24.128/26224.2.24.129 to 224.2.24.190224.2.24.19162
100224.2.24.192/26224.2.24.193 to 224.2.24.254224.2.24.25562
101224.2.25.0/26224.2.25.1 to 224.2.25.62224.2.25.6362
102224.2.25.64/26224.2.25.65 to 224.2.25.126224.2.25.12762
103224.2.25.128/26224.2.25.129 to 224.2.25.190224.2.25.19162
104224.2.25.192/26224.2.25.193 to 224.2.25.254224.2.25.25562
105224.2.26.0/26224.2.26.1 to 224.2.26.62224.2.26.6362
106224.2.26.64/26224.2.26.65 to 224.2.26.126224.2.26.12762
107224.2.26.128/26224.2.26.129 to 224.2.26.190224.2.26.19162
108224.2.26.192/26224.2.26.193 to 224.2.26.254224.2.26.25562
109224.2.27.0/26224.2.27.1 to 224.2.27.62224.2.27.6362
110224.2.27.64/26224.2.27.65 to 224.2.27.126224.2.27.12762
111224.2.27.128/26224.2.27.129 to 224.2.27.190224.2.27.19162
112224.2.27.192/26224.2.27.193 to 224.2.27.254224.2.27.25562
113224.2.28.0/26224.2.28.1 to 224.2.28.62224.2.28.6362
114224.2.28.64/26224.2.28.65 to 224.2.28.126224.2.28.12762
115224.2.28.128/26224.2.28.129 to 224.2.28.190224.2.28.19162
116224.2.28.192/26224.2.28.193 to 224.2.28.254224.2.28.25562
117224.2.29.0/26224.2.29.1 to 224.2.29.62224.2.29.6362
118224.2.29.64/26224.2.29.65 to 224.2.29.126224.2.29.12762
119224.2.29.128/26224.2.29.129 to 224.2.29.190224.2.29.19162
120224.2.29.192/26224.2.29.193 to 224.2.29.254224.2.29.25562
121224.2.30.0/26224.2.30.1 to 224.2.30.62224.2.30.6362
122224.2.30.64/26224.2.30.65 to 224.2.30.126224.2.30.12762
123224.2.30.128/26224.2.30.129 to 224.2.30.190224.2.30.19162
124224.2.30.192/26224.2.30.193 to 224.2.30.254224.2.30.25562
125224.2.31.0/26224.2.31.1 to 224.2.31.62224.2.31.6362
126224.2.31.64/26224.2.31.65 to 224.2.31.126224.2.31.12762
127224.2.31.128/26224.2.31.129 to 224.2.31.190224.2.31.19162
128224.2.31.192/26224.2.31.193 to 224.2.31.254224.2.31.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses